Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network228.232.76.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
228.232.76.0
Broadcast address
228.232.79.255
First usable
228.232.76.1
Last usable
228.232.79.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E4E84C00 · Integer 3840429056 to 3840430079
Reverse DNS zones
76.232.228.in-addr.arpa
77.232.228.in-addr.arpa
78.232.228.in-addr.arpa
79.232.228.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100100.11101000.01001100.00000000228.232.76.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network11100100.11101000.01001100.00000000228.232.76.0
Broadcast11100100.11101000.01001111.11111111228.232.79.255
Split into smaller subnets/29

228.232.76.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1228.232.76.0/29228.232.76.1 to 228.232.76.6228.232.76.76
2228.232.76.8/29228.232.76.9 to 228.232.76.14228.232.76.156
3228.232.76.16/29228.232.76.17 to 228.232.76.22228.232.76.236
4228.232.76.24/29228.232.76.25 to 228.232.76.30228.232.76.316
5228.232.76.32/29228.232.76.33 to 228.232.76.38228.232.76.396
6228.232.76.40/29228.232.76.41 to 228.232.76.46228.232.76.476
7228.232.76.48/29228.232.76.49 to 228.232.76.54228.232.76.556
8228.232.76.56/29228.232.76.57 to 228.232.76.62228.232.76.636
9228.232.76.64/29228.232.76.65 to 228.232.76.70228.232.76.716
10228.232.76.72/29228.232.76.73 to 228.232.76.78228.232.76.796
11228.232.76.80/29228.232.76.81 to 228.232.76.86228.232.76.876
12228.232.76.88/29228.232.76.89 to 228.232.76.94228.232.76.956
13228.232.76.96/29228.232.76.97 to 228.232.76.102228.232.76.1036
14228.232.76.104/29228.232.76.105 to 228.232.76.110228.232.76.1116
15228.232.76.112/29228.232.76.113 to 228.232.76.118228.232.76.1196
16228.232.76.120/29228.232.76.121 to 228.232.76.126228.232.76.1276
17228.232.76.128/29228.232.76.129 to 228.232.76.134228.232.76.1356
18228.232.76.136/29228.232.76.137 to 228.232.76.142228.232.76.1436
19228.232.76.144/29228.232.76.145 to 228.232.76.150228.232.76.1516
20228.232.76.152/29228.232.76.153 to 228.232.76.158228.232.76.1596
21228.232.76.160/29228.232.76.161 to 228.232.76.166228.232.76.1676
22228.232.76.168/29228.232.76.169 to 228.232.76.174228.232.76.1756
23228.232.76.176/29228.232.76.177 to 228.232.76.182228.232.76.1836
24228.232.76.184/29228.232.76.185 to 228.232.76.190228.232.76.1916
25228.232.76.192/29228.232.76.193 to 228.232.76.198228.232.76.1996
26228.232.76.200/29228.232.76.201 to 228.232.76.206228.232.76.2076
27228.232.76.208/29228.232.76.209 to 228.232.76.214228.232.76.2156
28228.232.76.216/29228.232.76.217 to 228.232.76.222228.232.76.2236
29228.232.76.224/29228.232.76.225 to 228.232.76.230228.232.76.2316
30228.232.76.232/29228.232.76.233 to 228.232.76.238228.232.76.2396
31228.232.76.240/29228.232.76.241 to 228.232.76.246228.232.76.2476
32228.232.76.248/29228.232.76.249 to 228.232.76.254228.232.76.2556
33228.232.77.0/29228.232.77.1 to 228.232.77.6228.232.77.76
34228.232.77.8/29228.232.77.9 to 228.232.77.14228.232.77.156
35228.232.77.16/29228.232.77.17 to 228.232.77.22228.232.77.236
36228.232.77.24/29228.232.77.25 to 228.232.77.30228.232.77.316
37228.232.77.32/29228.232.77.33 to 228.232.77.38228.232.77.396
38228.232.77.40/29228.232.77.41 to 228.232.77.46228.232.77.476
39228.232.77.48/29228.232.77.49 to 228.232.77.54228.232.77.556
40228.232.77.56/29228.232.77.57 to 228.232.77.62228.232.77.636
41228.232.77.64/29228.232.77.65 to 228.232.77.70228.232.77.716
42228.232.77.72/29228.232.77.73 to 228.232.77.78228.232.77.796
43228.232.77.80/29228.232.77.81 to 228.232.77.86228.232.77.876
44228.232.77.88/29228.232.77.89 to 228.232.77.94228.232.77.956
45228.232.77.96/29228.232.77.97 to 228.232.77.102228.232.77.1036
46228.232.77.104/29228.232.77.105 to 228.232.77.110228.232.77.1116
47228.232.77.112/29228.232.77.113 to 228.232.77.118228.232.77.1196
48228.232.77.120/29228.232.77.121 to 228.232.77.126228.232.77.1276
49228.232.77.128/29228.232.77.129 to 228.232.77.134228.232.77.1356
50228.232.77.136/29228.232.77.137 to 228.232.77.142228.232.77.1436
51228.232.77.144/29228.232.77.145 to 228.232.77.150228.232.77.1516
52228.232.77.152/29228.232.77.153 to 228.232.77.158228.232.77.1596
53228.232.77.160/29228.232.77.161 to 228.232.77.166228.232.77.1676
54228.232.77.168/29228.232.77.169 to 228.232.77.174228.232.77.1756
55228.232.77.176/29228.232.77.177 to 228.232.77.182228.232.77.1836
56228.232.77.184/29228.232.77.185 to 228.232.77.190228.232.77.1916
57228.232.77.192/29228.232.77.193 to 228.232.77.198228.232.77.1996
58228.232.77.200/29228.232.77.201 to 228.232.77.206228.232.77.2076
59228.232.77.208/29228.232.77.209 to 228.232.77.214228.232.77.2156
60228.232.77.216/29228.232.77.217 to 228.232.77.222228.232.77.2236
61228.232.77.224/29228.232.77.225 to 228.232.77.230228.232.77.2316
62228.232.77.232/29228.232.77.233 to 228.232.77.238228.232.77.2396
63228.232.77.240/29228.232.77.241 to 228.232.77.246228.232.77.2476
64228.232.77.248/29228.232.77.249 to 228.232.77.254228.232.77.2556
65228.232.78.0/29228.232.78.1 to 228.232.78.6228.232.78.76
66228.232.78.8/29228.232.78.9 to 228.232.78.14228.232.78.156
67228.232.78.16/29228.232.78.17 to 228.232.78.22228.232.78.236
68228.232.78.24/29228.232.78.25 to 228.232.78.30228.232.78.316
69228.232.78.32/29228.232.78.33 to 228.232.78.38228.232.78.396
70228.232.78.40/29228.232.78.41 to 228.232.78.46228.232.78.476
71228.232.78.48/29228.232.78.49 to 228.232.78.54228.232.78.556
72228.232.78.56/29228.232.78.57 to 228.232.78.62228.232.78.636
73228.232.78.64/29228.232.78.65 to 228.232.78.70228.232.78.716
74228.232.78.72/29228.232.78.73 to 228.232.78.78228.232.78.796
75228.232.78.80/29228.232.78.81 to 228.232.78.86228.232.78.876
76228.232.78.88/29228.232.78.89 to 228.232.78.94228.232.78.956
77228.232.78.96/29228.232.78.97 to 228.232.78.102228.232.78.1036
78228.232.78.104/29228.232.78.105 to 228.232.78.110228.232.78.1116
79228.232.78.112/29228.232.78.113 to 228.232.78.118228.232.78.1196
80228.232.78.120/29228.232.78.121 to 228.232.78.126228.232.78.1276
81228.232.78.128/29228.232.78.129 to 228.232.78.134228.232.78.1356
82228.232.78.136/29228.232.78.137 to 228.232.78.142228.232.78.1436
83228.232.78.144/29228.232.78.145 to 228.232.78.150228.232.78.1516
84228.232.78.152/29228.232.78.153 to 228.232.78.158228.232.78.1596
85228.232.78.160/29228.232.78.161 to 228.232.78.166228.232.78.1676
86228.232.78.168/29228.232.78.169 to 228.232.78.174228.232.78.1756
87228.232.78.176/29228.232.78.177 to 228.232.78.182228.232.78.1836
88228.232.78.184/29228.232.78.185 to 228.232.78.190228.232.78.1916
89228.232.78.192/29228.232.78.193 to 228.232.78.198228.232.78.1996
90228.232.78.200/29228.232.78.201 to 228.232.78.206228.232.78.2076
91228.232.78.208/29228.232.78.209 to 228.232.78.214228.232.78.2156
92228.232.78.216/29228.232.78.217 to 228.232.78.222228.232.78.2236
93228.232.78.224/29228.232.78.225 to 228.232.78.230228.232.78.2316
94228.232.78.232/29228.232.78.233 to 228.232.78.238228.232.78.2396
95228.232.78.240/29228.232.78.241 to 228.232.78.246228.232.78.2476
96228.232.78.248/29228.232.78.249 to 228.232.78.254228.232.78.2556
97228.232.79.0/29228.232.79.1 to 228.232.79.6228.232.79.76
98228.232.79.8/29228.232.79.9 to 228.232.79.14228.232.79.156
99228.232.79.16/29228.232.79.17 to 228.232.79.22228.232.79.236
100228.232.79.24/29228.232.79.25 to 228.232.79.30228.232.79.316
101228.232.79.32/29228.232.79.33 to 228.232.79.38228.232.79.396
102228.232.79.40/29228.232.79.41 to 228.232.79.46228.232.79.476
103228.232.79.48/29228.232.79.49 to 228.232.79.54228.232.79.556
104228.232.79.56/29228.232.79.57 to 228.232.79.62228.232.79.636
105228.232.79.64/29228.232.79.65 to 228.232.79.70228.232.79.716
106228.232.79.72/29228.232.79.73 to 228.232.79.78228.232.79.796
107228.232.79.80/29228.232.79.81 to 228.232.79.86228.232.79.876
108228.232.79.88/29228.232.79.89 to 228.232.79.94228.232.79.956
109228.232.79.96/29228.232.79.97 to 228.232.79.102228.232.79.1036
110228.232.79.104/29228.232.79.105 to 228.232.79.110228.232.79.1116
111228.232.79.112/29228.232.79.113 to 228.232.79.118228.232.79.1196
112228.232.79.120/29228.232.79.121 to 228.232.79.126228.232.79.1276
113228.232.79.128/29228.232.79.129 to 228.232.79.134228.232.79.1356
114228.232.79.136/29228.232.79.137 to 228.232.79.142228.232.79.1436
115228.232.79.144/29228.232.79.145 to 228.232.79.150228.232.79.1516
116228.232.79.152/29228.232.79.153 to 228.232.79.158228.232.79.1596
117228.232.79.160/29228.232.79.161 to 228.232.79.166228.232.79.1676
118228.232.79.168/29228.232.79.169 to 228.232.79.174228.232.79.1756
119228.232.79.176/29228.232.79.177 to 228.232.79.182228.232.79.1836
120228.232.79.184/29228.232.79.185 to 228.232.79.190228.232.79.1916
121228.232.79.192/29228.232.79.193 to 228.232.79.198228.232.79.1996
122228.232.79.200/29228.232.79.201 to 228.232.79.206228.232.79.2076
123228.232.79.208/29228.232.79.209 to 228.232.79.214228.232.79.2156
124228.232.79.216/29228.232.79.217 to 228.232.79.222228.232.79.2236
125228.232.79.224/29228.232.79.225 to 228.232.79.230228.232.79.2316
126228.232.79.232/29228.232.79.233 to 228.232.79.238228.232.79.2396
127228.232.79.240/29228.232.79.241 to 228.232.79.246228.232.79.2476
128228.232.79.248/29228.232.79.249 to 228.232.79.254228.232.79.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses